On Wed, Jan 27, 2010 at 5:19 PM, Brian Rectanus <Brian.Rectanus@breach.com> wrote:
Zen Low wrote:
> Hi all,
> I am implementing mod_security for HP-UX (11iv3, Itanium).
> The error I encountered is stated as below.
> Unsatisfied code symbol 'ntohl' in load module
> '/opt/hpws/apache/modules/mod_security2.so'.
> Anyone able to help?
> Thanks in advance.

I am assuming you built this from source?

Please describe how you built the library and what version of
ModSecurity you are using.

Please send me your config.log file.

On HP-UX, I believe that "ntohl" is in the libbsd library, so you need
-lbsd when you link.  It seems that maybe yours is not doing so.

Someone could be suppose that this a business of the modsecurity AutoFu, isn't it ?

Brian Rectanus
Breach Security

The Planet: dedicated and managed hosting, cloud storage, colocation
Stay online with enterprise data centers and the best network in the business
Choose flexible plans and management services without long-term contracts
Personal 24x7 support from experience hosting pros just a phone call away.
mod-security-users mailing list
Commercial ModSecurity Appliances, Rule Sets and Support: